" Vim syntax file
" Language:	         PHASE/0 input parameter file

syn clear

syn region	phaseString	start=+'+ end=+'+	oneline
syn region	phaseString	start=+"+ end=+"+	oneline

syn match	phaseBlockS	"\w*\s*{"
syn match	phaseBlockE	"}"
syn match	phaseNumber	"\<[0-9]\+[ij]\=\>"
syn match	phaseFloat	"\<[0-9]\+\.[0-9]*\([edED][-+]\=[0-9]\+\)\=[ij]\=\>"
syn match	phaseFloat	"\.[0-9]\+\([edED][-+]\=[0-9]\+\)\=[ij]\=\>"
syn match	phaseFloat	"\<[0-9]\+[edED][-+]\=[0-9]\+[ij]\=\>"
syn match	phaseComment	"\!\(.*&\s*\n\)*.*$"
syn match	phaseComment	"\//\(.*&\s*\n\)*.*$"
syn match	phaseTAG	"#tag\(.*&\s*\n\)*.*$"
syn match	phaseTAG	"\!#tag\(.*&\s*\n\)*.*$"
syn match	phaseDEFAULT	"\#default\(.*&\s*\n\)*.*$"
syn match	phaseUNITS	"\#units\(.*&\s*\n\)*.*$"
syn match	phaseDEFAULT	"\!#default\(.*&\s*\n\)*.*$"
syn match	phaseUNITS	"\!#units\(.*&\s*\n\)*.*$"

if !exists("did_phase_syntax_inits")
  let did_phase_syntax_inits = 1
  hi link phaseString		String
  hi link phaseNumber		Number
  hi link phaseFloat		Float
  hi link phaseTAG		Define
  hi link phaseUNITS		Typedef
  hi link phaseDEFAULT		Typedef
  hi link phaseBlockS		Repeat
  hi link phaseBlockE		Repeat
  hi link phaseComment		Comment
endif
let b:current_syntax = "phase"
